Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.structures.attributes
Class LocalVariableTableEntry

    java.lang.Object
      org.gjt.jclasslib.structures.AbstractStructure
          org.gjt.jclasslib.structures.attributes.LocalVariableCommonEntry
              org.gjt.jclasslib.structures.attributes.LocalVariableTableEntry

public class LocalVariableTableEntry
extends LocalVariableCommonEntry

Describes an entry in a `LocalVariableTableEntry` attribute structure.

Version:
  $Revision: 1.4 $ $Date: 2004/12/28 13:04:32 $
Author:
  Ingo Kegel, Vitor Carreira

Field Summary

Fields inherited from class org.gjt.jclasslib.structures.attributes.LocalVariableCommonEntry
`descriptorOrSignatureIndex, index, length, LENGTH, nameIndex, startPc`

Fields inherited from class org.gjt.jclasslib.structures.AbstractStructure
`classFile, debug, SYSTEM_PROPERTY_DEBUG`

Constructor Summary
`LocalVariableTableEntry()`

Method Summary
`static LocalVariableTableEntry` | `create(DataInput in, ClassFile classFile)` Factory method for creating `LocalVariableTableEntry` structures.
`protected void` | `debug(String message)` Utility method for derived structures.
`int` | `getDescriptorIndex()` Get the index of the constant pool entry containing the descriptor of this local variable.
`void` | `setDescriptorIndex(int descriptorIndex)` Get the index of the constant pool entry containing the descriptor of this local variable.

Methods inherited from class org.gjt.jclasslib.structures.attributes.LocalVariableCommonEntry
`getDescriptorOrSignatureIndex, getIndex, getLength, getNameIndex, getStartPc, printAccessFlagsVerbose, read, setDescriptorOrSignatureIndex, setIndex, setLength, setNameIndex, setStartPc, write`

Methods inherited from class org.gjt.jclasslib.structures.AbstractStructure
`getClassFile, getDebug, getLength, printAccessFlags, printAccessFlagsVerbose, printBytes, setClassFile, setDebug`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalVariableTableEntry

    public LocalVariableTableEntry()

Method Detail

### create

    public static LocalVariableTableEntry create(DataInput in,
                                                 ClassFile classFile)
                                          throws InvalidByteCodeException,
                                                 IOException

  Factory method for creating `LocalVariableTableEntry` structures.

  Parameters:
    `in` - the `DataInput` from which to read the `LocalVariableTableEntry` structure
    `classFile` - the parent class file of the structure to be created
  Returns:
    the new `LocalVariableTableEntry` structure
  Throws:
    `InvalidByteCodeException` - if the byte code is invalid
    `IOException` - if an exception occurs with the `DataInput`

### getDescriptorIndex

    public int getDescriptorIndex()

  Get the index of the constant pool entry containing the descriptor of this local variable.

  Returns:
    the index

### setDescriptorIndex

    public void setDescriptorIndex(int descriptorIndex)

  Get the index of the constant pool entry containing the descriptor of this local variable.

  Parameters:
    `descriptorIndex` - the index

### debug

    protected void debug(String message)

  Description copied from class: `AbstractStructure`
  Utility method for derived structures. Dump a specific debug message.

  Overrides:
    `debug` in class `AbstractStructure`
  Parameters:
    `message` - the debug message

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD